using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Range_Checker
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void checkButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zadeklarowanie zmiennej i zainicjalizowanie
                // jej z wartością podaną przez użytkownika.
                int number = int.Parse(inputTextBox.Text);

                // Sprawdzenie przedziału podanej liczby.
                if (number >= 1 && number <= 10)
                {
                    MessageBox.Show("Liczba została zaakceptowana.");
                }
                else
                {
                    MessageBox.Show("Liczba nie została zaakceptowana.");
                }
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
